# This test authenticates using SMTP AUTH LOGIN and looks for a success
# when the sender username matches the authenticated username and the
# authenticated username is not an email address.

export TCPREMOTEIP=11.22.33.44

AUTH_USER=`echo $2 | sed -e "s/@.*//"`
FROM_ADDRESS=${AUTH_USER}@test.invalid
AUTH_USERNAME=`${SMTPAUTH_LOGIN_PATH} ${AUTH_USER} $3 | tail -3 | head -1 | awk '{ print $2 }'`
AUTH_PASSWORD=`${SMTPAUTH_LOGIN_PATH} ${AUTH_USER} $3 | tail -1 | awk '{ print $2 }'`

cat input.txt | sed -e "s/TEST_NUM/${TEST_NUM}/g" -e "s/TARGET_EMAIL/$1/g" -e "s/FROM_ADDRESS/${FROM_ADDRESS}/g" -e "s/AUTH_USERNAME/${AUTH_USERNAME}/g" -e "s/AUTH_PASSWORD/${AUTH_PASSWORD}/g" > ${TMPDIR}/${TEST_NUM}-input.txt
echo "${SENDRECV_PATH} -t 30 -r 221 -- ${SPAMDYKE_PATH} --reject-sender authentication-mismatch --smtp-auth-level always --smtp-auth-command \"${EXITVALUE_PATH} 0\" ${QMAIL_CMDLINE} < ${TMPDIR}/${TEST_NUM}-input.txt > ${TMPDIR}/${TEST_NUM}-output.txt"
${SENDRECV_PATH} -t 30 -r 221 -- ${SPAMDYKE_PATH} --reject-sender authentication-mismatch --smtp-auth-level always --smtp-auth-command "${EXITVALUE_PATH} 0" ${QMAIL_CMDLINE} < ${TMPDIR}/${TEST_NUM}-input.txt > ${TMPDIR}/${TEST_NUM}-output.txt

output=`grep -E "^221 " ${TMPDIR}/${TEST_NUM}-output.txt`
if [ ! -z "${output}" ]
then
  outcome="success"
else
  echo Delivery failure - tmp/${TEST_NUM}-output.txt:
  cat ${TMPDIR}/${TEST_NUM}-output.txt

  outcome="failure"
fi
