# This test configures and compiles spamdyke-qrv with --with-debug-symbols to check for
# compiler warnings and errors.

mkdir -p ${TMPDIR}/${TEST_NUM}-saved
cp -a ${SPAMDYKE_QRV_DIR}/Makefile ${SPAMDYKE_QRV_DIR}/config.h ${SPAMDYKE_QRV_DIR}/*.o ${SPAMDYKE_QRV_PATH} ${TMPDIR}/${TEST_NUM}-saved

pushd ${SPAMDYKE_QRV_DIR}
make distclean
echo "./configure --with-debug-symbols > ${TMPDIR}/${TEST_NUM}-output.txt 2>&1"
./configure --with-debug-symbols > ${TMPDIR}/${TEST_NUM}-output.txt 2>&1
echo "make >> ${TMPDIR}/${TEST_NUM}-output.txt 2>&1"
make >> ${TMPDIR}/${TEST_NUM}-output.txt 2>&1
popd

if [ -x ${SPAMDYKE_QRV_PATH} ]
then
  echo "${SENDRECV_PATH} -t 30 -- ${SPAMDYKE_QRV_PATH} -v >> ${TMPDIR}/${TEST_NUM}-output.txt 2>&1"
  ${SENDRECV_PATH} -t 30 -- ${SPAMDYKE_QRV_PATH} -v >> ${TMPDIR}/${TEST_NUM}-output.txt 2>&1

  output=`grep "Use -h for an option summary or see README.html for complete documentation." ${TMPDIR}/${TEST_NUM}-output.txt`
  if [ ! -z "${output}" ]
  then
    output=`grep " warning: " ${TMPDIR}/${TEST_NUM}-output.txt`
    if [ -z "${output}" ]
    then
      output=`grep " error: " ${TMPDIR}/${TEST_NUM}-output.txt`
      if [ -z "${output}" ]
      then
        outcome="success"
      else
        echo Failure - tmp/${TEST_NUM}-output.txt:
        cat ${TMPDIR}/${TEST_NUM}-output.txt

        outcome="failure"
      fi
    else
      echo Failure - tmp/${TEST_NUM}-output.txt:
      cat ${TMPDIR}/${TEST_NUM}-output.txt

      outcome="failure"
    fi
  else
    echo Failure - tmp/${TEST_NUM}-output.txt:
    cat ${TMPDIR}/${TEST_NUM}-output.txt

    outcome="failure"
  fi
else
  echo Failure - tmp/${TEST_NUM}-output.txt:
  cat ${TMPDIR}/${TEST_NUM}-output.txt

  outcome="failure"
fi

cp -a ${TMPDIR}/${TEST_NUM}-saved/* ${SPAMDYKE_QRV_DIR}
