# This test looks for a warning message from the config-test when it finds the
# qmail-rcpthosts-file option has been set to a non-default value.

touch ${TMPDIR}/${TEST_NUM}-rcpthosts.txt

echo "${SPAMDYKE_PATH} -ldebug --qmail-rcpthosts-file ${TMPDIR}/${TEST_NUM}-rcpthosts.txt --config-test ${QMAIL_CMDLINE} > ${TMPDIR}/${TEST_NUM}-output.txt 2>&1"
${SPAMDYKE_PATH} -ldebug --qmail-rcpthosts-file ${TMPDIR}/${TEST_NUM}-rcpthosts.txt --config-test ${QMAIL_CMDLINE} > ${TMPDIR}/${TEST_NUM}-output.txt 2>&1

output=`grep "WARNING: qmail-rcpthosts-file has been changed from the default value of /var/qmail/control/rcpthosts, this is not recommended and could lead to errors during recipient validation." ${TMPDIR}/${TEST_NUM}-output.txt`
if [ ! -z "${output}" ]
then
  output=`grep "SUCCESS: Tests complete. No errors detected." ${TMPDIR}/${TEST_NUM}-output.txt`
  if [ ! -z "${output}" ]
  then
    outcome="success"
  else
    echo Failure - tmp/${TEST_NUM}-output.txt:
    cat ${TMPDIR}/${TEST_NUM}-output.txt

    outcome="failure"
  fi
else
  echo Failure - tmp/${TEST_NUM}-output.txt:
  cat ${TMPDIR}/${TEST_NUM}-output.txt

  outcome="failure"
fi
